<?php
ini_set('log_errors', '1'); // Activa la opción de logueo de errores
ini_set('error_log', __DIR__ . '/errores_ns.txt'); // Ruta del archivo de log
//require_once '../config/dotenv.php';
require_once('vendor/autoload.php');
require_once __DIR__ . '/Controllers/WebhookController.php'; // Incluye el archivo del controlador


use Controllers\WebhookController;

$payload = @file_get_contents('php://input');
$sigHeader = $_SERVER['HTTP_STRIPE_SIGNATURE'];

$controller = new WebhookController();
$controller->handleWebhook($payload, $sigHeader);
